Companies

Get related person application

GEThttps://api.firstleeward.com/v0/companies/:id/related-person-applications/:applicationId

Retrieves a specific KYC verification application for a related person.

Authorizations

Authorizationstring · headerrequired

API key as Bearer token, e.g. Bearer YOUR_API_KEY

Headers

Leeward-Versionenum<string>required

API version (YYYY-MM-DD). Available option: 2026-09-18

Path Parameters

idstring<uuid>required

Unique company identifier

applicationIdstring<uuid>required

Unique related person application identifier

Response

200Related person application details
idstring<uuid>required

Unique company application identifier

companyIdstring<uuid>required

Company this application belongs to

statusstringrequired

Application lifecycle status

Available options:INITIATEDIN_PROGRESSAPPROVEDREJECTEDREVIEW_REQUIREDWORKFLOW_ERROREXPIRED
sessionUrlstring | nullrequired

URL for the corporate client to complete verification

expiresAtstring | nullrequired

When the verification session URL expires (ISO 8601)

createdAtstringrequired

When the application was created (ISO 8601)

updatedAtstringrequired

When the application was last updated (ISO 8601)

relatedPersonIdstring<uuid>required

Related person this application belongs to

404Response for status 404
Option 1 · CompanyNotFoundError
errorobjectrequired
Show child attributes
codestringrequired
messagestringrequired
detailobject | nullrequired
Option 2 · CompanyRelatedPersonApplicationNotFoundError
errorobjectrequired
Show child attributes
codestringrequired
messagestringrequired
detailobject | nullrequired